<?php

namespace RuLong\Identity;

use RuLong\Identity\Contracts\IdentityContracts;

class Identity
{
    protected $contracts;

    public function __construct(IdentityContracts $contracts)
    {
        $this->contracts = $contracts;
    }

    public function __destruct()
    {
        $this->contracts->fire();
    }
}
